Bug 451417 - call history missing detailed info
call history missing detailed info
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-14 06:43 EDT by Jeff Garzik
Modified: 2013-07-02 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2008-06-14 06:43:31 EDT
Description of problem:

Thanks for the great software!  I am happily using ekiga + IPKall for yummy
"free" VoIP.

It is terribly disappointing that the SIP address / PSTN number is not logged,
for each call.  This is a basic feature I've come to depend on, on my mobile phone.

For PSTN numbers via IPKall, the call history logs the remote location
("RALEIGH, NC") and remote software, but not originating number.  ekiga clearly
has this information, because it is displayed when someone calls me.

For incoming calls via SIP, the call history only shows me a [user]name.  At the
very least some IP addresses should be in the call history, IMO.

Version-Release number of selected component (if applicable):
ekiga-2.0.12-2.fc9.x86_64

Expected results:

PSTN numbers and IP addresses in call history.
Comment 1 Jeff Garzik 2008-06-14 06:45:02 EDT
Adding...

This is an RFE, therefore low priority.  But in making it difficult to find full
information on the caller, one could make the argument that that is a security
issue, and thus the priority should be raised.  Your call...
Comment 2 Daniel Veillard 2008-06-17 09:47:50 EDT
Hi Jeff,

well, basically ekiga-2.x is in maintainance mode for a year or so as
the (rather small) team of developpers is focusing on Ekiga 3.0 . I suggest
to look around http://blog.ekiga.net/ for features list or info
I also asked on #ekiga on irc.gnome.org, but didn't got an answer yet.
Talking with upstream sounds the best way to handle this,

Daniel
Comment 3 Daniel Veillard 2008-06-17 10:06:22 EDT
Okay i got some comment back:

<Snark> DV, version 3.00 has a call history which for now only shows name + date
+ duration, but with a context menu which allows calling back, messaging and (if
not already there) push to the roster
<Snark> we're still pondering if there's a real use for an action "more
information" or some such which would show the address
<DV> I guess it makes sense, sometimes being able to see the IP of who has
called you can be an useful information
<DV> at least that makes sense to me :-)

Daniel
Comment 4 Bug Zapper 2009-06-09 21:36:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:40:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.